class CreateMap{
  
  
  private PImage mapChip = loadImage("mapImage.jpg");
  private PImage[] mapChips = new PImage[24];
  private String lines[];
  private int[][] map;
  private int[][] provisionalMap;
  private final int MAP_HIGHT_LENGTH = 10;
  private int mapWidth;
  private int playerX, playerY;
  private final int MAX_WIDTH = 8;
  private final int MAX_HEIGHT = 6;
  public static final int WIDTH = 128;
  public static final int HEIGHT = 128;
  private final int IMAGE_WIDTH = 4;
  private final int IMAGE_HEIGHT = 6;
  
  public CreateMap(){
     
  }
  
  protected void initialize () {
    //csv load
    lines = loadStrings("map.csv");
    int mapWidth = lines[0].split(",").length;
    map = new int [lines.length][mapWidth];
    for(int i = 0; i < lines.length; i++){
      String[] values = lines[i].split(",");
      for(int j = 0; j < mapWidth; j++){
        map[i][j] = int(values[j]);
      }
    }
    
    for(int i = 0; i < IMAGE_HEIGHT;i++){
      for(int j = 0; j < IMAGE_WIDTH; j++){
        mapChips[i*4+j] = mapChip.get(j*128, i*128,128,128);
      }
    }
  }
  
  protected void update(){
    
  }
  
  public void drawMapChip(){
    for(int i = 0; i < map.length; i++){
        for(int j = 0; j < map[0].length; j++){
          image(mapChips[map[i][j]], (float)(j * WIDTH + WIDTH / 2 - WIDTH * (map[0].length / 2) + IMAGE_WIDTH * WIDTH), (float)(i * HEIGHT + HEIGHT / 2 - HEIGHT * (map.length / 2) + IMAGE_HEIGHT * HEIGHT));
        }
    }
  }
  
}
