class Beans extends BaseCharacter {
  int _dx, _dy;
  int _x, _y;  
  boolean _alive;
  int count;
  int moveCount;
  int moveWay;
  public static final int WIDTH = 128;
  public static final int HEIGHT = 128;
  private final int IMAGE_WIDTH = 4;
  private final int IMAGE_HEIGHT = 6;

  public Beans( Game parent ) {
    super( parent, "beans.png", 5, 4 );
    _alive = false;
    count = 0;
    moveCount = 0;
  }

  public void update( double deltaTime ) {
    MyGame theParent = (MyGame)_parent;
    if (_alive) {
      if (moveCount <= 128) {
        if(moveWay == 0){
          _y = (_dy * HEIGHT) - HEIGHT * (theParent._createMap.map.length / 2) + IMAGE_HEIGHT * HEIGHT - moveCount  + WIDTH/2;
        }
        else if(moveWay == 1){
          _y = (_dy * HEIGHT) - HEIGHT * (theParent._createMap.map.length / 2) + IMAGE_HEIGHT * HEIGHT + moveCount  + WIDTH/2;
        }
        else if(moveWay == 2){
          _x = (_dx * WIDTH)  - WIDTH * (theParent._createMap.map[0].length / 2 )+ IMAGE_WIDTH * WIDTH + moveCount + WIDTH/2;
        }
        else if(moveWay == 3){
          _x = (_dx * WIDTH)  - WIDTH * (theParent._createMap.map[0].length / 2 )+ IMAGE_WIDTH * WIDTH - moveCount + WIDTH/2;
        }
        else if(moveWay == 4){
          _y = (_dy * HEIGHT) - HEIGHT * (theParent._createMap.map.length / 2) + IMAGE_HEIGHT * HEIGHT + moveCount  + WIDTH/2;
        }
        moveCount++;
        if( hitTest( ((MyGame)_parent)._oni, 50.0 ) ){
          theParent._oni.moveCount = 0;
          theParent._oni.hit(moveWay);
          theParent.beansFlag = true;
        }
      } else {
        _alive = false;
        theParent.beansFlag = true;
      }
      position.x = _x;
      position.y = _y;

      super.update( deltaTime );
    }
  }

  public void initialize( int dy, int dx , int way) {
    MyGame theParent = (MyGame)_parent;
    moveWay = way;
    _dy = dy;
    _dx = dx;
    _x = ( _dx * WIDTH ) + WIDTH / 2  - WIDTH * (theParent._createMap.map[0].length / 2 )+ IMAGE_WIDTH * WIDTH;
    _y = ( _dy * HEIGHT ) + HEIGHT / 2 - HEIGHT * (theParent._createMap.map.length / 2) + IMAGE_HEIGHT * HEIGHT;
    position.set(_x, _y);
    _alive = true;
  }
}

